package it.tref.liferay.mapit.map.messaging;

import it.tref.liferay.mapit.map.util.MapItPluginUtil;

import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.portal.kernel.messaging.BaseMessageListener;
import com.liferay.portal.kernel.messaging.Message;

public class CheckMapItPluginsMessageListener extends BaseMessageListener {

  private final static Log _log = LogFactoryUtil.getLog(CheckMapItPluginsMessageListener.class);

  @Override
  protected void doReceive(Message message) throws Exception {

    try {
      MapItPluginUtil.searchAndUpdatePlugins();
    } catch (SystemException e) {
      _log.error(e, e);
    }

  }

}
